N = 10; %environment square size
E = zeros(N); %environment matrix
n = 130; %iterations
a = .28; %prey max
b = .311; %pred max
c = .66; %veg max
f=0;

dprey = .06;
dpred = .08;
dveg = .1;

preyrep = .8;
predrep = .7;
vegrep = .68;

global N dpred dprey dveg predrep preyrep vegrep

%initialization #changezeros

for i=1:N
    for j=1:N
        p = rand();
        if p < a
            E(i,j) = 1;
        end
        if p >= a && p < b
            E(i,j) = 2;
        end
        if p >= b && p < c
            E(i,j) = 3;
        end
    end
end

Enew = E;

for k=1:n
    for i=1:N
        for j=1:N
            if E(i,j) == 1 %prey behavior
                Enew = preyfunc(E, Enew, i, j);
            end
            if E(i,j) == 2 %predator behavior
                Enew = predfunc(E, Enew, i, j);
            end
            if E(i,j) == 3 %vegetation behavior
                Enew = vegfunc(E, Enew, i, j, k);
            end
        end
    end
    E = Enew;
    f=f+1;
    %drawnow stuff
        imagesc(E); %red is vegetation, yellow is predator, blue is prey, other is ground
        set(gca,'YDir','normal');
        colormap('default');
        axis equal;
        axis tight;
        drawnow
        pause(.3);
        saveas(gcf, ['ecologysim1evenbiggg', sprintf('%03d',f),'.png'])
        k       
    
end
    

